Method: projects.locations.collections.engines.assistants.agents.a2a.v1.message.send

傳送訊息給服務專員。這是封鎖呼叫,會在工作完成時傳回工作,或在要求時傳回 LRO。

HTTP 要求


POST https://discoveryengine.googleapis.com/v1/{tenant=projects/*/locations/*/collections/*/engines/*/assistants/*/agents/*}/a2a/v1/message:send

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
tenant

string

選用租戶,以路徑參數的形式提供。實驗功能,1.0 版發布時可能仍會變更。

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "message": {
    object (Message)
  },
  "configuration": {
    object (SendMessageConfiguration)
  },
  "metadata": {
    object
  }
}
欄位
message

object (Message)

這是必要旗標,要傳送給代理的訊息。

configuration

object (SendMessageConfiguration)

傳送要求的設定。

metadata

object (Struct format)

要求的選填中繼資料。

回應主體

////// Response Messages ///////////

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "task": {
    object (Task)
  },
  "message": {
    object (Message)
  }
  // End of mutually exclusive fields.
}
欄位
以下列出互斥欄位。回應中最多會設定一個欄位:
task

object (Task)

message

object (Message)

互斥欄位的結尾。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview。